MONGOC_ERROR_HAS_LABEL(3)

NAME
mongoc_error_has_label - mongoc_error_has_label()

SYNOPSIS

        bool
        mongoc_error_has_label (const bson_t *reply, const char *label);

Test whether a reply from a failed operation includes a specific error label. See Error Labels for details, and see mongoc_client_session_start_transaction for example code that demonstrates their use.

PARAMETERS

    •   reply: A bson_t, the reply to a failed operation.

    •   label: The label to test for, such as "TransientTransactionError" or "UnknownTransactionCommitResult".

RETURNS

Returns true if reply contains the error label.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc